# Class PBMGSObject

#### Hierarchy

- Points<THREE.BufferGeometry, THREE.ShaderMaterial>
  - PBMGSObject

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:17

##### Index

### Constructors

constructor

### Properties

gsClippers
gsViewLayerKey
lastMatrixWorld
maxSHDegree
numPoints
selectedChanged
transferDetached
transformChanged
usedSHDegree
RowLength

### Accessors

boundingBox
colors
positions
rotations
scales
selected
selection
sh1
sh2
sh3

### Methods

dispose
raycast
reattach
serialize

## Constructors

### constructor

- new PBMGSObject(splatData?: SplatData): PBMGSObject

  #### Parameters

  - `Optional` splatData: SplatData

  #### Returns PBMGSObject

  Overrides THREE.Points<THREE.BufferGeometry, THREE.ShaderMaterial>.constructor

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:75

## Properties

### gsClippers

gsClippers: readonly PBMClipperParameter[] = []

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:28

### gsViewLayerKey

gsViewLayerKey: string = ''

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:27

### lastMatrixWorld

lastMatrixWorld: Matrix4 | null

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:32

### maxSHDegree

maxSHDegree: number = 0

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:25

### numPoints

numPoints: number

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:24

### selectedChanged

selectedChanged: boolean = false

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:21

### transferDetached

transferDetached: boolean = false

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:22

### transformChanged

transformChanged: boolean = false

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:20

### usedSHDegree

usedSHDegree: number = 0

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:26

### `Static` RowLength

RowLength: number = ...

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:18

## Accessors

### boundingBox

- get boundingBox(): Box3

  #### Returns Box3

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:217

### colors

- get colors(): Uint8Array

  #### Returns Uint8Array

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:50

### positions

- get positions(): Float32Array

  #### Returns Float32Array

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:35

### rotations

- get rotations(): Float32Array

  #### Returns Float32Array

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:40

### scales

- get scales(): Float32Array

  #### Returns Float32Array

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:45

### selected

- get selected(): boolean

  #### Returns boolean

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:205
- set selected(selected: boolean): void

  #### Parameters

  - selected: boolean

  #### Returns void

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:209

### selection

- get selection(): Uint8Array

  #### Returns Uint8Array

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:55

### sh1

- get sh1(): Float32Array<ArrayBufferLike> | undefined

  #### Returns Float32Array<ArrayBufferLike> | undefined

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:60

### sh2

- get sh2(): Float32Array<ArrayBufferLike> | undefined

  #### Returns Float32Array<ArrayBufferLike> | undefined

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:65

### sh3

- get sh3(): Float32Array<ArrayBufferLike> | undefined

  #### Returns Float32Array<ArrayBufferLike> | undefined

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:70

## Methods

### dispose

- dispose(): void

  #### Returns void

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:229

### raycast

- raycast(raycaster: Raycaster, intersects: Intersection[]): void

  #### Parameters

  - raycaster: Raycaster
  - intersects: Intersection[]

  #### Returns void

  Overrides THREE.Points.raycast

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:233

### reattach

- reattach(
  positions: ArrayBufferLike,
  rotations: ArrayBufferLike,
  scales: ArrayBufferLike,
  colors: ArrayBufferLike,
  selection: ArrayBufferLike,
  ): void

  #### Parameters

  - positions: ArrayBufferLike
  - rotations: ArrayBufferLike
  - scales: ArrayBufferLike
  - colors: ArrayBufferLike
  - selection: ArrayBufferLike

  #### Returns void

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:182

### serialize

- serialize(): Uint8Array<ArrayBuffer>

  #### Returns Uint8Array<ArrayBuffer>

  - Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:147